"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.link = exports.mq = exports.down = exports.up = exports.selectMqDown = exports.selectMqUp = exports.border = exports.rounded = exports.round = exports.fw = exports.fs = exports.lh = exports.maxW = exports.w = exports.maxWidth = exports.width = exports.color = exports.bg = exports.p = exports.py = exports.px = exports.pb = exports.pt = exports.pr = exports.pl = exports.m = exports.my = exports.mx = exports.mb = exports.mt = exports.mr = exports.ml = exports.centerY = exports.centerX = exports.flexCol = exports.justifyBetween = exports.justifyContent = exports.alignItems = exports.flexDirection = exports.flexWrap = exports.inlineFlex = exports.flex = exports.inline = exports.block = exports.hidden = exports.name = void 0;

var _core = require("@emotion/core");

var _ramda = require("ramda");

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var name = 'monad-ui';
/* DISPLAY */

exports.name = name;
var hidden = (0, _core.css)({
  display: 'none'
});
exports.hidden = hidden;
var block = (0, _core.css)({
  display: 'block'
});
exports.block = block;
var inline = (0, _core.css)({
  display: 'inline'
});
exports.inline = inline;
var flex = (0, _core.css)({
  display: 'flex'
});
exports.flex = flex;
var inlineFlex = (0, _core.css)({
  display: 'inline-flex'
});
/* FLEX */

exports.inlineFlex = inlineFlex;

var flexWrap = function flexWrap() {
  var arg = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'wrap';
  return (0, _core.css)({
    flexWrap: arg
  });
};

exports.flexWrap = flexWrap;

var flexDirection = function flexDirection(arg) {
  return (0, _core.css)({
    flexDirection: arg
  });
};

exports.flexDirection = flexDirection;

var alignItems = function alignItems(arg) {
  return (0, _core.css)({
    alignItems: arg
  });
};

exports.alignItems = alignItems;

var justifyContent = function justifyContent(arg) {
  return (0, _core.css)({
    justifyContent: arg
  });
};

exports.justifyContent = justifyContent;
var justifyBetween = (0, _core.css)(justifyContent('space-between'));
exports.justifyBetween = justifyBetween;
var flexCol = flexDirection('column');
/* Flex Utility */

exports.flexCol = flexCol;
var centerX = (0, _core.css)(flex, {
  justifyContent: 'center'
});
exports.centerX = centerX;
var centerY = (0, _core.css)(flex, alignItems('center'));
/* MARGIN */

exports.centerY = centerY;

var ml = function ml(arg) {
  return (0, _core.css)({
    marginLeft: arg
  });
};

exports.ml = ml;

var mr = function mr(arg) {
  return (0, _core.css)({
    marginRight: arg
  });
};

exports.mr = mr;

var mt = function mt(arg) {
  return (0, _core.css)({
    marginTop: arg
  });
};

exports.mt = mt;

var mb = function mb(arg) {
  return (0, _core.css)({
    marginBottom: arg
  });
};

exports.mb = mb;

var mx = function mx(arg) {
  return (0, _core.css)(ml(arg), mr(arg));
};

exports.mx = mx;

var my = function my(arg) {
  return (0, _core.css)(mt(arg), mb(arg));
};

exports.my = my;

var m = function m(arg) {
  return (0, _core.css)(my(arg), mx(arg));
};
/* PADDING */


exports.m = m;

var pl = function pl(arg) {
  return (0, _core.css)({
    paddingLeft: arg
  });
};

exports.pl = pl;

var pr = function pr(arg) {
  return (0, _core.css)({
    paddingRight: arg
  });
};

exports.pr = pr;

var pt = function pt(arg) {
  return (0, _core.css)({
    paddingTop: arg
  });
};

exports.pt = pt;

var pb = function pb(arg) {
  return (0, _core.css)({
    paddingBottom: arg
  });
};

exports.pb = pb;

var px = function px(arg) {
  return (0, _core.css)(pl(arg), pr(arg));
};

exports.px = px;

var py = function py(arg) {
  return (0, _core.css)(pt(arg), pb(arg));
};

exports.py = py;

var p = function p(arg) {
  return (0, _core.css)(py(arg), px(arg));
};
/* COLOR */


exports.p = p;

var bg = function bg(arg) {
  return (0, _core.css)({
    background: arg
  });
};

exports.bg = bg;

var color = function color(arg) {
  return (0, _core.css)({
    color: arg
  });
};
/* LENGTH */


exports.color = color;

var width = function width(arg) {
  return (0, _core.css)({
    width: arg
  });
};

exports.width = width;

var maxWidth = function maxWidth(arg) {
  return (0, _core.css)({
    maxWidth: arg
  });
};

exports.maxWidth = maxWidth;
var w = width;
exports.w = w;
var maxW = maxWidth;
/* Typography */

exports.maxW = maxW;

var lh = function lh(arg) {
  return (0, _core.css)({
    lineHeight: arg
  });
};

exports.lh = lh;

var fs = function fs(arg) {
  return (0, _core.css)({
    fontSize: arg
  });
};

exports.fs = fs;

var fw = function fw(arg) {
  return (0, _core.css)({
    fontWeight: arg
  });
};
/* Border */


exports.fw = fw;

var round = function round(arg) {
  return (0, _core.css)({
    borderRadius: arg
  });
};

exports.round = round;
var rounded = round('.25rem');
exports.rounded = rounded;

var border = function border(arg) {
  return (0, _core.css)({
    border: arg
  });
};
/* MEDIA QUERIES */


exports.border = border;
var breakpoints = {
  sm: '576px',
  md: '768px',
  lg: '992px',
  xl: '1200px'
};

var selectMqUp = function selectMqUp(size) {
  return (0, _ramda.compose)(function (bp) {
    return "@media (min-width: ".concat(bp, ")");
  }, (0, _ramda.prop)(size))(breakpoints);
};

exports.selectMqUp = selectMqUp;

var selectMqDown = function selectMqDown(size) {
  return (0, _ramda.compose)(function (bp) {
    return "@media (max-width: ".concat(bp, ")");
  }, (0, _ramda.prop)(size))(breakpoints);
};

exports.selectMqDown = selectMqDown;

var up = function up(size) {
  return function (style) {
    return _defineProperty({}, selectMqUp(size), style);
  };
};

exports.up = up;

var down = function down(size) {
  return function (style) {
    return _defineProperty({}, selectMqDown(size), style);
  };
}; // Use up by default for media queries


exports.down = down;
var mq = up;
/* LINK HELPER */

exports.mq = mq;
var link = (0, _core.css)({
  textDecoration: 'none',
  color: 'inherit'
});
exports.link = link;